Bug 869973 - "←[33m" is displayed in the information of rhc-domain On Win7
"←[33m" is displayed in the information of rhc-domain On Win7
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Fabiano Franz
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 05:20 EDT by Mengjiao Gao
Modified: 2015-05-14 22:07 EDT (History)
2 users (show)

See Also:
Fixed In Version: rhc-1.1.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-19 14:26:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mengjiao Gao 2012-10-25 05:20:37 EDT
Description of problem:
When execute the deprecated commands, such as "rhc-domain","rhc-app", string  like "←[33m","←[0m"  would displayed in the front of the real information,

Version-Release number of selected component (if applicable):
INT(devenv_2367)
rhc-0.99.12

How reproducible:
Always

Steps to Reproduce:
1.$rhc-domain
2.$rhc-app

Actual results:
Result in step 1:
* ***********************************************************
C:\Users\window7>rhc-domain
←[33mWarning: This command is deprecated. Please use 'rhc domain' instead.
←[0m
Password: ******


User Info
=========
Namespace: mudodo
  OpenShift login: mgao+dev31@redhat.com
* ***********************************************************
result in step 2:
* ***********************************************************
window7@WINDOW7-PC ~
$ rhc-app
←[33mWarning: This command is deprecated. Please use 'rhc app (create|delete|sho
w|stop|force-stop|start|restart|reload|tidy)' instead.
←[0m
Missing or invalid command!
Obtaining list of cartridges (please excuse the delay)...
...
* ***********************************************************

Expected results:
Words like "←[33m","←[0m" should not display in the result.

Additional info:
Comment 1 Fabiano Franz 2012-11-12 12:12:58 EST
Fixed in rhc-1.1.4-1.
Comment 2 joycezhang 2012-11-13 00:25:03 EST
This bug has been verified and fixed with rhc-1.1.4.gem. Please refer to the details as below:

Verified build:
int.openshift.redhat.com
rhc-1.1.4.gem

Verified results:
1.Help conten is displayed correctly with warning message shown when using rhc-app:
C:\Users\Win7x64>rhc-app
Warning: This command is deprecated. Please use 'rhc app (create|delete|show|sto
p|force-stop|start|restart|reload|tidy)' instead.
Missing or invalid command!
Obtaining list of cartridges (please excuse the delay)...

Usage: rhc app (<command> | cartridge <cartridge-action> | --help) [<args>]
Create and manage an OpenShift application.

List of commands
  create                         Create a new application on OpenShift
  show                           Display information about a user
  start                          Starts the application (includes all cartridges
)
  stop                           Stops the application (includes all cartridges)

  force-stop                     Stops all application processes
  restart                        Restart the application
  reload                         Reloads application configuration
  status                         Returns application status
  destroy                        Destroys the application
  tidy                           Garbage collects the git repo and empties log/t
mp dirs
  add-alias                      Add a custom domain name for the application
  remove-alias                   Remove a custom domain name for the application

  tail                           Tail the logs of an application
  snapshot       [save|restore]  Saves/Restores an application snapshot to/from
a tarball at the location specified using --filepath (default: ./$APPNAME.tar.gz
)
  cartridge      <action>        Manage a cartridge running in this application

List of cartridge actions
  list                           List of supported embedded cartridges
  add                            Add a cartridge to this application
  remove                         Remove a cartridge from this application
  stop                           Stop a cartridge
  start                          Start a cartridge
  restart                        Restart a cartridge
  status                         Returns cartridge status
  reload                         Reloads cartridge configuration

List of arguments
  -l|--rhlogin      rhlogin      OpenShift login (Default: jinzhang+1@redhat.com
)
  -p|--password     password     Password (optional, will prompt)
  -a|--app          application  Application name  (alphanumeric - max 32 chars)
 (required)
  -t|--type         type         Type of app to create (nodejs-0.6, zend-5.6, ru
by-1.9, jbossas-7, python-2.6, jenkins-1.4, ruby-1.8, jbosseap-6.0, diy-0.1, jbo
ssews-1.0, php-5.3, perl-5.10) (required for creating an application)
  -c|--cartridge    cartridge    The embedded cartrige to manage (required for t
he cartridge command)
  -g|--gear-size    size         The size of the gear for this app ([small|mediu
m], defaults to small)
  -s|--scaling                   Enable scaling for this app
  -r|--repo         path         Git Repo path (defaults to ./$app_name)
  -n|--nogit                     Only create remote space, don't pull it locally

  --no-dns                       Skip DNS check. Must be used in combination wit
h --nogit
  -d|--debug                     Print Debug info
  -h|--help                      Show Usage info
  -b|--bypass                    Bypass warnings (applicable to application dest
roying only)
  -f|--filepath     filepath     Applicable in case of snapshot and log command
  -o|--opts         options      Options to pass to the server-side (linux based
) tail command (applicable to tail command only) (-f is implicit.  See the linux
 tail man page full list of options.) (Ex: --opts '-n 100')
  --alias           alias        Specify server alias (when using add/remove-ali
as)
  --config          path         Path of alternate config file
  --timeout         #            Timeout, in seconds, for the session
  --enable-jenkins  [name]       Enables builds for your application with Jenkin
s.  You may optionally specify the name of the Jenkins application that is creat
ed (default: 'jenkins').  Note that --no-dns is ignored for the creation of the
Jenkins application.

2. App info is displayed well when using rhc-domain:

C:\Users\Win7x64>rhc-domain
Warning: This command is deprecated. Please use 'rhc domain' instead.
Password: ******


User Info
=========
Namespace: joyceint2
  OpenShift login: jinzhang+1@redhat.com


Application Info
================
php1
    Framework: php-5.3
     Creation: 2012-11-12T22:13:09-05:00
         UUID: 202b2d2f040f4ed08f8350fd876fd014
      Git URL: ssh://202b2d2f040f4ed08f8350fd876fd014@php1-joyceint2.int.rhclou
.com/~/git/php1.git/
   Public URL: http://php1-joyceint2.int.rhcloud.com/

 Embedded:
      mongodb-2.2 - Connection URL: mongodb://127.3.193.129:27017/
      mysql-5.1 - Connection URL: mysql://127.3.193.129:3306/
      phpmyadmin-3.4 - URL: https://php1-joyceint2.int.rhcloud.com/phpmyadmin/


Mark it as Verified. Thanks.

Note You need to log in before you can comment on or make changes to this bug.